.\"	$NetBSD: ccd.conf.5,v 1.3 2002/06/11 13:58:09 wiz Exp $
.\"
.\" Copyright (c) 2002 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Grant Beattie.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 11, 2002
.Dt CCD.CONF 5
.Os
.Sh NAME
.Nm ccd.conf
.Nd concatenated disk driver configuration file
.Sh SYNOPSIS
.Nm ccd.conf
.Sh DESCRIPTION
The
.Nm
file defines the configuration of concatenated disk devices, or ccds.
It is used by
.Xr ccdconfig 8
when invoked with the
.Fl C
option and at system boot time.
For more information about the concatenated disk driver, see
.Xr ccd 4 .
.Pp
Each line of the configuration file contains arguments as per the
.Fl c
argument to
.Xr ccdconfig 8 :
.Pp
.Bd -ragged -offset indent -compact
.Ar ccd
.Ar ileave
.Op Ar flags
.Ar dev
.Op Ar ...
.Ed
.Pp
.Bl -tag -width preserveX
.It Ar ccd
The name of the ccd.
.It Ar ileave
The interleave, expressed in units of
.Dv DEV_BSIZE .
.It Ar flags
The flags for the device, which may be represented as a decimal number,
a hexadecimal number, a comma-separated list of strings, or the word
.Dq none .
.It Ar dev Op Ar ...
The component partitions to be concatenated, which should be of type
.Dv FS_CCD .
.El
.Pp
A
.Sq #
is a comment, and everything to end of line is ignored.
A
.Sq \e
at the end of a line indicates that the next line should be concatenated
with the current.
A
.Sq \e
preceding any character (other than the end of line) prevents that
character's special meaning from taking effect.
.Sh FILES
.Pa /etc/ccd.conf
.Sh EXAMPLES
An example
.Pa /etc/ccd.conf :
.Bd -literal -offset indent
#
# /etc/ccd.conf
# Configuration file for concatenated disk devices
#

# ccd           ileave  flags   component devices
ccd0            16      none    /dev/sd2e /dev/sd3e
.Ed
.Sh SEE ALSO
.Xr ccd 4 ,
.Xr ccdconfig 8
.Sh HISTORY
The
.Nm
configuration file first appeared in
.Nx 1.1 .
